List WireGuard clients
GET
/network/wireguard/clients
const url = 'https://sylve.lan:8181/api/network/wireguard/clients';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/network/wireguard/clients \ --header 'Authorization: <Authorization>'Retrieve all configured outbound WireGuard clients and their runtime status
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
addresses
Array<string>
allowedIPs
Array<string>
createdAt
string
enabled
boolean
endpointHost
string
endpointPort
integer
fib
integer
id
integer
lastHandshake
string
listenPort
integer
metric
integer
mtu
integer
name
string
peerPublicKey
string
persistentKeepalive
boolean
preSharedKey
string
privateKey
string
publicKey
string
restartedAt
string
routeAllowedIPs
boolean
rx
integer
tx
integer
updatedAt
string
uptime
integer
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "addresses": [ "example" ], "allowedIPs": [ "example" ], "createdAt": "example", "enabled": true, "endpointHost": "example", "endpointPort": 1, "fib": 1, "id": 1, "lastHandshake": "example", "listenPort": 1, "metric": 1, "mtu": 1, "name": "example", "peerPublicKey": "example", "persistentKeepalive": true, "preSharedKey": "example", "privateKey": "example", "publicKey": "example", "restartedAt": "example", "routeAllowedIPs": true, "rx": 1, "tx": 1, "updatedAt": "example", "uptime": 1 } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}